#{extends 'borderNG.html' /}

<ol class="breadcrumb" style="background-color: #d9534f !important;">
    <li><a href="@{AuditorCtr.index()}">Daftar Auditor</a> </li>
    <li><a href="@{AuditorCtr.skNonLelang()}">Daftar Surat Tugas Non Tender</a></li>
    <li><a href="@{AuditorCtr.editSkNonLelang(id)}">Edit Surat Tugas Non Tender</a></li>
    <li class="active">Pilih Paket</li>
</ol>
<div class="content">
    <form id="formfilter">
        <table class="table table-sm table-bordered">
            <tr>
                <th class="bgwarning" width="200">Nomor Surat Tugas</th>
                <td>${skauditor.skno}</td>
            </tr>
            <tr>
                <th class="bgwarning">Masa Berlaku</th>
                <td>${skauditor.masaBerlaku}</td>
            </tr>
            <tr>
                <th class="bgwarning">K/L/PD</th>
                <td>
                    #{selectInstansi 'instansiId', value:instansiId /}
                </td>
            </tr>
            <tr>
                <th class="bgwarning">Tahun Anggaran</th>
                <td> <select name="tahun" class="form-control  selectpicker" data-width="auto" onchange="this.form.submit();">
                    #{list items:tahunList, as:'thn'}
                    <option value="${thn}" ${tahun == thn ? 'selected':''}>${thn}</option>
                    #{/list}
                </select></td>
            </tr>
            <tr>
                <th class="bgwarning">Satuan Kerja</th>
                <td>
                    #{selectSatkerPusat 'satkerId', instansiId:instansiId, value:satkerId, tahun:tahun /}
                </td>
            </tr>
        </table>
    </form>
    <div class="bs-callout bs-callout-warning">
        &{'skauditor.pencarian'}
    </div>
#{alert /}
    <table class="table table-sm table-hover" id="tblPaketAuditor">
        <thead>
        <tr>
            <th width="10px" class="text-center"><input name="chkPaketAll" type="checkbox" class="checkall"/></th>
            <th>&{'skauditor.kodetender'}</th>
            <th>&{'skauditor.namapaket'}</th>
            <th>&{'skauditor.pagu'}</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    #{set 'a'}
    &{'skauditor.pilihpaket'}
    #{/set}
    #{saveButton 'simpan',title:a /}
    #{backButton action:@AuditorCtr.editSkNonLelang(id)/}
    #{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/dataTables.checkboxes.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var auditorView = #{jsRoute @AuditorCtr.edit(':id') /};
    var pengumuman = #{jsRoute @nonlelang.PengadaanLCtr.pengumumanPl(':id') /};
    var table = $("#tblPaketAuditor").DataTable({
         columnDefs: [{
                targets: 0, searchable : false,
                render: function(data, type, row, meta){
                    if(type === 'display'){
                        data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>';
                    }
                    var id = row[0];
                    var nama = row[1]
                    var pagu = row[2];
                    row[1] = id;
                    row[2] = '<p><a href="' + pengumuman.url({id: id}) + '" target="_blank" >' + nama + '</a>'
                    row[3] = pagu;
                    return data;
                },
                checkboxes: { selectRow: true,  selectAllRender: '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'}
            }] ,
        select: 'multi',
        order: [[ 1, "desc"]],
        ajax: "@{DataTableCtr.paketAuditorNonLelang(id, instansiId, satkerId, tahun)}"
    });
    $('#tblPaketAuditor_filter input').unbind();
    $('#tblPaketAuditor_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
    $('form').on('submit', function(e){
         var $form = $(this);
         var selected = table.rows( { selected: true } ).data();
         selected.each(function(res){
             if(!(res[0] === null || res[0] === '')) {
                 $form.append($('<input>').attr('type', 'hidden').attr('name', 'chkPaket').val(res[0]));
             }
         });
     });

    $(document).on('change', '#instansi', function(){
        var instansi_id=$(this).val();
        $('#formfilter').submit();
    });
    $(document).on('change', '#satker', function(){
        var satker_id=$("#satker").val();
        $('#formfilter').submit();
    });
    //$(document).on('click', '#updateInstansi', function(){
    //    console.log('update instansi');
    //});
    //$(document).on('click', '#updateSatker', function(){
    //    console.log('update Satuan kerja dari instansi ${instansiId}');
    //});
</script>
#{/set} 
